Get a repository's app publication
GET
The repository's live-app publication: state, live url, the latest deployment and its error, the settings, this month's hosting charge and the spend-consent fields (hosting_paid_on, site_languages_terms, ...). publication is null if the repository was never published. Needs coding:apps:read; 404 when the repository is not in this workspace.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
customer_id*stringFormat
uuidcoding_repository_id*stringFormat
uuidRequest fulfilled, document follows
application/json- response
publication?|nullcurl -X GET 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/publication'Example Response
{ "publication": { "accounts": true, "auto_redeploy": true, "feature_requests": "off", "feature_requests_autostart_on": false, "feature_requests_min_votes": 6, "generation": 0, "hosting": "syndai", "hosting_over_limit": false, "hosting_paid_cap_usd": 20, "hosting_paid_on": false, "hosting_usd_this_month": 0, "id": "string", "latest_deployment": { "created_at": "string", "error_cause": "string", "error_kind": "string", "error_message": "string", "finished_at": "string", "id": "string", "sha": "string", "status": "string", "url": "string" }, "members": true, "operation_error_cause": "string", "operation_error_kind": "string", "operation_error_message": "string", "pinned_sha": "string", "search_visible": true, "signup": "string", "site_languages_consent_current": false, "site_languages_max_usd": 0, "site_languages_paid_on": false, "site_languages_terms": "", "site_languages_usage_markup": 0, "slug": "string", "state": "string", "taps_counted": true, "url": "string", "visitors": true, "writes_paused": true }}